Name:          libtirpc
Version:       1.1.4
Release:       1mamba
Summary:       A port of Suns Transport-Independent RPC library to Linux
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sourceforge.net/projects/libtirpc/
Source:        http://downloads.sourceforge.net/project/libtirpc/libtirpc/%{version}/libtirpc-%{version}.tar.bz2
Patch0:        libtirpc-0.2.2-add-multiple-inclusion-protection-to-rpc_des.patch
Patch1:        libtirpc-0.2.3-remove-nis.patch
Patch2:        libtirpc-0.2.5-remove-des.patch
Patch3:        libtirpc-0.2.5-netconfig-disable-ipv6.patch
Patch4:        libtirpc-0.2.5-var-run.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libe2fs-devel
BuildRequires: libkeyutils-devel
BuildRequires: libkrb5-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Libtirpc is a port of Suns Transport-Independent RPC library to Linux.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Libtirpc is a port of Suns Transport-Independent RPC library to Linux.

This package contains static libraries and header files need for development.

%prep
%setup -q
%patch1 -p1
#%patch2 -p1
%patch3 -p1
%patch4 -p1
sed -i "s|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|" configure.ac

%build
autoreconf -f -i
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_sysconfdir}/bindresvport.blacklist
%config %{_sysconfdir}/netconfig
%{_libdir}/libtirpc.so.*
%{_mandir}/man5/netconfig.5*
%doc AUTHORS COPYING THANKS

%files devel
%defattr(-,root,root)
%{_libdir}/libtirpc.a
%{_libdir}/libtirpc.la
%{_libdir}/libtirpc.so
# %{_bindir}/%{name}-config
# %{_datadir}/aclocal/*.m4
# %{_includedir}/*.h
%{_includedir}/tirpc
# %{_libdir}/*.a
# %{_libdir}/*.la
# %{_libdir}/*.so
%{_libdir}/pkgconfig/libtirpc.pc
%{_mandir}/man3/*.3t*
%doc ChangeLog NEWS README TODO

%changelog
* Tue Sep 04 2018 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic version update by autodist

* Mon Mar 19 2018 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Wed Nov 11 2015 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Tue Jun 23 2015 Automatic Build System <autodist@mambasoft.it> 0.3.2-1mamba
- automatic version update by autodist

* Sat Jun 06 2015 Automatic Build System <autodist@mambasoft.it> 0.3.1-1mamba
- automatic version update by autodist

* Mon May 11 2015 Automatic Build System <autodist@mambasoft.it> 0.3.0-1mamba
- automatic version update by autodist

* Wed Oct 01 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.5-3mamba
- patched to move /var/run/rpcbind.sock to /run/rpcbind.sock

* Wed Oct 01 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.5-2mamba
- netconfig: patch to disable ipv6 (see https://bugzilla.redhat.com/show_bug.cgi?id=249121)

* Sat Sep 13 2014 Automatic Build System <autodist@mambasoft.it> 0.2.5-1mamba
- automatic update by autodist

* Thu Apr 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.4-2mamba
- add another patch to disable other des symbols that are provided by glibc (fix breaking pam)

* Tue Dec 17 2013 Automatic Build System <autodist@mambasoft.it> 0.2.4-1mamba
- automatic update by autodist

* Mon Feb 25 2013 Automatic Build System <autodist@mambasoft.it> 0.2.3-1mamba
- automatic version update by autodist

* Wed Sep 26 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-2mamba
- add a patch to fix: 'undefined symbol: _des_crypt_call' (remove nis) with pam 1.1.4

* Wed Aug 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-1mamba
- update to 0.2.2

* Sun Apr 03 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.1-1mamba
- package created by autospec
